import {
    select,
    csv,
    scaleLinear,
    extent,
    axisLeft,
    axisBottom
} from 'd3';

import { scatterPlot,draw,restart,init,step } from './scatterPlot';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

let data=[];
let xColumn;
let yColumn;

const onXColumnClicked = column => {
    xColumn = column;
    render();
};

const onYColumnClicked = column => {
    yColumn = column;
    render();
};



d3.select("#step")
    .on('click', function() { step();draw(); });
d3.select("#restart")
    .on('click', function() { restart(); draw(); });
d3.select("#reset")
    .on('click', function() { init(); draw(); });

const render = () => {
    svg.call(scatterPlot, {
   
        xAxisLabel: xColumn,
       
        circleRadius: 5,
        yAxisLabel: yColumn,
        margin: { top: 100, right: 40, bottom: 88, left: 150},
        width,
        height,

    });
};





init();draw();


render();



